Endpoint API:
https://analytics.ottoweb.ro/api/v1/websites
Exemplu de cerere:
curl --location --request GET 'https://analytics.ottoweb.ro/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_bydomain pentru Domeniu. Implicit la: domain.sort_byid pentru Data creării, domain pentru Domeniu. Implicit la: id.sortdesc pentru Descrescător, asc pentru Crescător. Implicit la: desc.per_page10, 25, 50, 100. Implicit la: 10.Endpoint API:
https://analytics.ottoweb.ro/api/v1/websites/{id}
Exemplu de cerere:
curl --location --request GET 'https://analytics.ottoweb.ro/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Endpoint API:
https://analytics.ottoweb.ro/api/v1/websites
Exemplu de cerere:
curl --location --request POST 'https://analytics.ottoweb.ro/api/v1/websites' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'domain={domain}'
domainprivacy0 pentru Public, 1 pentru Privat, 2 pentru Parolă. Implicit la: 0.passwordprivacy setat la 2.email0 pentru Dezactivat, 1 pentru Activat. Implicit la: 0.exclude_bots0 pentru Dezactivat, 1 pentru Activat. Implicit la: 1.exclude_paramsexclude_ipsEndpoint API:
https://analytics.ottoweb.ro/api/v1/websites/{id}
Exemplu de cerere:
curl --location --request PUT 'https://analytics.ottoweb.ro/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
privacy0 pentru Public, 1 pentru Privat, 2 pentru Parolă.passwordprivacy setat la 2.email0 pentru Dezactivat, 1 pentru Activat.exclude_bots0 pentru Dezactivat, 1 pentru Activat.exclude_paramsexclude_ipsEndpoint API:
https://analytics.ottoweb.ro/api/v1/websites/{id}
Exemplu de cerere:
curl --location --request DELETE 'https://analytics.ottoweb.ro/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'